from pdfminer.high_level import extract_text
import tabula

class StatementParser:
    def __init__(self, file_path: str):
        self.file_path = file_path

    def extract_text(self):
        # Code to extract text from PDF
        pass

    def extract_transactions(self):
        # This method should be implemented by each subclass
        raise NotImplementedError


class DBSCreditCardStatementParser(StatementParser):
    def extract_transactions(self):
        # Code specific to DBS Credit Card statements
        pass


class BankSavingAccountStatementParser(StatementParser):
    def extract_transactions(self):
        # Code specific to Bank Saving Account statements
        pass





class FundAccountStatementParser(StatementParser):
    def extract_transactions(self):
        # Code specific to Fund Account statements
        pass
